Package edu.claflin.finder.algo.clustering.struct.fast_greedy_struct

# Class HeapNodeFG

java.lang.Object
edu.claflin.finder.algo.clustering.struct.fast_greedy_struct.HeapNodeFG

All Implemented Interfaces:
  `Comparable<HeapNodeFG>`

Direct Known Subclasses:
  `IndexedHeapNode`

public class HeapNodeFG extends Object implements Comparable<HeapNodeFG>

Author:
  Cesar Martin

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final double`
  `EPSILON`
  `private int`
  `j`
  `private double`
  `Q`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HeapNodeFG(int j, double q)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(HeapNodeFG that)`
  Compare this HeapNode to that HeapNode.
  `int`
  `compareToQ(HeapNodeFG that)`
  `boolean`
  `equals(Object o)`
  `int`
  `getJ()`
  `double`
  `getQ()`
  `void`
  `setInfo(int j, double q)`
  `void`
  `setJ(int j)`
  `void`
  `setQ(double q)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### j

    private int j

  - ### Q

    private double Q

  - ### EPSILON

    public static final double EPSILON
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### HeapNodeFG

    public HeapNodeFG(int j, double q)

- ## Method Details

  - ### getJ

    public int getJ()
    Returns:
      the j

  - ### setJ

    public void setJ(int j)

  - ### getQ

    public double getQ()
    Returns:
      the maxQ

  - ### setQ

    public void setQ(double q)

  - ### setInfo

    public void setInfo(int j, double q)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### compareTo

    public int compareTo(HeapNodeFG that)
    Compare this HeapNode to that HeapNode. We want before means higher Q, then smaller j
    Specified by:
      `compareTo` in interface `Comparable<HeapNodeFG>`
    Parameters:
      `that` - the HeapNode to compare this to
    Returns:
      -1 if this goes before, 0 if they are equal, 1 if that goes before

  - ### compareToQ

    public int compareToQ(HeapNodeFG that)